%global pkg_name %{name}
%global gem_name multi_json

Summary:       A gem to provide swappable JSON backends
Name:          rubygem-%{gem_name}
Version:       1.14.1
Release:       2
Group:         Development/Languages
License:       MIT
URL:           https://github.com/intridea/multi_json
Source0:       https://rubygems.org/gems/%{gem_name}-%{version}.gem
#git clone https://github.com/intridea/multi_json.git && cd multi_json
#git archive -v -o multi_json-1.14.1-tests.tgz v1.14.1 spec/
Source1:       %{gem_name}-%{version}-tests.tgz

Requires:      ruby(release)
BuildRequires: ruby(release)

Requires:      ruby(rubygems)
Requires:      ruby

BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(json_pure)
BuildRequires: ruby(rubygems)

BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

# OkJson is allowed to be bundled:
Provides:      bundled(okjson) = 20110719

%description
A gem to provide swappable JSON backends utilizing Yajl::Ruby, the JSON gem,
JSON pure, or a vendored version of okjson.


%package doc
Summary:       Documentation for %{pkg_name}
Group:         Documentation
Requires:      %{pkg_name} = %{version}-%{release}
BuildArch:     noarch

%description doc
Documentation for %{pkg_name}


%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
tar xf %{SOURCE1}
sed -i "/expect(MultiJson.adapter.to_s).to eq('MultiJson::Adapters::Oj')/ s/Oj/JsonGem/" spec/multi_json_spec.rb
SKIP_ADAPTERS=jr_jackson rspec spec/{multi_json,options_cache}_spec.rb
for adapter in spec/*_adapter_spec.rb; do
  SKIP_ADAPTERS=gson,jr_jackson,nsjsonserialization,oj,yajl rspec $adapter
done
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%doc %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/LICENSE.md
%doc %{gem_instdir}/README.md


%changelog
* Mon Feb 14 2022 xu_ping <xuping33@huawei.com> - 1.14.1-2
- Modify the tests file to correct version 1.14.1
- Fix jr_jackson remove due to tests failed

* Mon Jun 07 2021 jiangxinyu <jiangxinyu@kylinos.cn> - 1.14.1-1
- Update version to 1.14.1

* Sat Aug 22 2020 Jeffery.Gao <gaojianxing@huawei.com> - 1.13.1-1
- Package init
